Subject: Re: bug#56823: 29.0.50; Inconsistent button size in NEWS

From: Po Lu <[email-masked]>
Date: Sat, 30 Jul 2022 22:20:26 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> Po Lu <[email-masked]> writes:
>
>> The Xft build doesn't support color Emoji (but I don't like them in the
>> first place, so I've deleted the color Emoji fonts from my system), so
>> they are being displayed by the same Symbola font.
>
> Yes.  See bug#56691.

Thanks, I tried to say something relevant there.  But IMHO the cause of
this problem is defaulting to the use of Emoji instead of proper images
as a substitute for buttons.

Not only does this cause problems if the user has an unexpected set of
fonts installed, compounded by how font rendering infrastructure has
never been designed for displaying buttons, it makes Emacs look very
unprofessionally made.  I cannot think of a single other GUI program
that uses Emoji to replace buttons.